# Politician Portfolio Holders by Ticker `GET` `https://api.unusualwhales.com/api/politician-portfolios/holders/{ticker}` Returns all politician portfolio owner names, ID, and holdings for the specified ticker. This is an enterprise only endpoint. Contact dev@unusualwhales.com for details about accessing this data. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | string | Yes | Stock ticker symbol (e.g., AAPL, TSLA) | ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `aggregate_all_portfolios` | boolean | No | If true, aggregates all of a politicians portfolios into a single portfolio named 'aggregated'. Default is false. Note that this does not aggregate holdings within a portfolio, only across portfolios. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `full_name` | string | The politician's name. | | `id` | string | The portfolio ID. | | `max_amount` | number | The portfolio's maximum share quantity. | | `mid_amount` | number | The portfolio's midpoint share quantity. | | `min_amount` | number | The portfolio's minimum share quantity. | | `owner` | string | The portfolio owner's name. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/politician-portfolios/holders/{ticker}" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/politician-portfolios/holders/{ticker}", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "full_name": "Zoe Lofgren", "id": "5fbe81ac-1157-4bc8-9d76-c77e6164fe25", "max_amount": 143, "mid_amount": 76, "min_amount": 9, "owner": "self" }, { "full_name": "Zoe Lofgren", "id": "9d28365f-7559-417b-ba26-102cefde89eb", "max_amount": 2386, "mid_amount": 1670, "min_amount": 954, "owner": "spouse" } ] } ```